Subject: 2460bis-05

From: Randy Turner <[email-masked]>
Date: Fri, 22 Jul 2016 14:47:55 -0400 (EDT)

Hi All,

In section 4 of 2460bis-05, there is a description of what a "full" implementation would consist of...can someone elaborate on the definition of "full" ?  Is this a conformance thing?

Thanks,

Randy

---

From: Tim Chown <[email-masked]>
Date: Tue, 26 Jul 2016 15:56:13 +0000

On 22 Jul 2016, at 19:47, Randy Turner <[email-masked]<mailto:[email-masked]>> wrote:

Hi All,

In section 4 of 2460bis-05, there is a description of what a "full" implementation would consist of...can someone elaborate on the definition of "full" ?  Is this a conformance thing

Well, RFC2460 forms part of various conformance and interoperability tests, e.g. see https://www.iol.unh.edu/testing/ip/ipv6/test-suites, so the core conformance test suite there tests against a handful of RFCs (i.e. RFC2460, RFC4861, RFC4862, RFC4443, RFC5095 and RFC1981), so would only include the EHs defined in RFC2460, less RH0 which was deprecated with RFC5095.

If you’re interested in what capabilities a generic IPv6 node should have, then RFC6434 is a place to look (and an update to that is underway).

Tim

---

From: Randy Turner <[email-masked]>
Date: Tue, 26 Jul 2016 12:28:32 -0400

Hi,

I wasn’t asking about what the RFC was about, I was asking about the definition of “full”, and whether or not there might be a better term for what is implied in section 4 of 2460bis 

R.

> On Jul 26, 2016, at 11:56 AM, Tim Chown <[email-masked]> wrote:
> 
>> On 22 Jul 2016, at 19:47, Randy Turner <[email-masked] <mailto:[email-masked]>> wrote:
>> Hi All,
>> 
> Well, RFC2460 forms part of various conformance and interoperability tests, e.g. see https://www.iol.unh.edu/testing/ip/ipv6/test-suites <https://www.iol.unh.edu/testing/ip/ipv6/test-suites>, so the core conformance test suite there tests against a handful of RFCs (i.e. RFC2460, RFC4861, RFC4862, RFC4443, RFC5095 and RFC1981), so would only include the EHs defined in RFC2460, less RH0 which was deprecated with RFC5095.
>

---

From: Tim Chown <[email-masked]>
Date: Tue, 26 Jul 2016 17:16:55 +0000

On 26 Jul 2016, at 17:28, Randy Turner <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

I don’t believe “full implementation” is defined anywhere. And of course 18 years have since passed and (for example) the requirement on AH/ESP support was relaxed some time ago. So you could suggest an alternative. UNH-IOH refer to 2460 as their IPv6 core requirement test, but “core implementation” doesn’t sound quite right.  I suspect there may not be much appetite to change it.

Tim

R.

On Jul 26, 2016, at 11:56 AM, Tim Chown <[email-masked]<mailto:[email-masked]>> wrote:

Hi All,

Tim

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 27 Jul 2016 08:57:37 +1200

> I don’t believe “full implementation” is defined anywhere. And of course 18 years have since passed and (for example) the requirement on AH/ESP support was relaxed some time ago. So you could sugge…

Something seems to tell me that "full implementation" was intended to suggest
that a low-end device could treat those headers (and in particular fragmentation)
as optional. But then it couldn't communicate with the world at large.
In any case it's a bit vague, and I think Randy has raised a good question.
The current status of AH means that we need to change this text anyway. Something
like:

   A normal implementation of IPv6 supports the following extension headers:

      Hop-by-Hop Options
      Fragment
      Destination Options
      Encapsulating Security Payload

Regards
   Brian

> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>

---

From: Kerry Lynn <[email-masked]>
Date: Wed, 27 Jul 2016 11:11:26 -0400

On Tue, Jul 26, 2016 at 4:57 PM, Brian E Carpenter <
[email-masked]> wrote:

> > On 26 Jul 2016, at 17:28, Randy Turner <[email-masked]
> <mailto:[email-masked]>> wrote:
> >
> > Hi,
> >
> > I wasn’t asking about what the RFC was about, I was asking about the
> definition of “full”, and whether or not there might be a better term for
> what is implied in section 4 of 2460bis
> >
> > I don’t believe “full implementation” is defined anywhere. And of course
> 18 years have since passed and (for example) the requirement on AH/ESP
> support was relaxed some time ago. So you could suggest an alternative.
> UNH-IOH refer to 2460 as their IPv6 core requirement test, but “core
> implementation” doesn’t sound quite right.  I suspect there may not be much
> appetite to change it.
>
> s/A normal/An unconstrained ?

Kerry

> > On 22 Jul 2016, at 19:47, Randy Turner <[email-masked]
> <mailto:[email-masked]>> wrote:
> >
> > Hi All,
> >
> > In section 4 of 2460bis-05, there is a description of what a "full"
> implementation would consist of...can someone elaborate on the definition
> of "full" ?  Is this a conformance thing
> >
> > Well, RFC2460 forms part of various conformance and interoperability
> tests, e.g. see https://www.iol.unh.edu/testing/ip/ipv6/test-suites, so
> the core conformance test suite there tests against a handful of RFCs (i.e.
> RFC2460, RFC4861, RFC4862, RFC4443, RFC5095 and RFC1981), so would only
> include the EHs defined in RFC2460, less RH0 which was deprecated with
> RFC5095.
> >
> > If you’re interested in what capabilities a generic IPv6 node should
> have, then RFC6434 is a place to look (and an update to that is underway).
> >
> > Tim
> >
> >
> >
> >
> >
> >